# org.apache.hadoop.hdfs.server.datanode.fsdataset.impl

## Classes

- FsDatasetFactory
- FsVolumeImplBuilder
- ReservedSpaceCalculator
- ReservedSpaceCalculator.Builder
- ReservedSpaceCalculator.ReservedSpaceCalculatorAbsolute
- ReservedSpaceCalculator.ReservedSpaceCalculatorAggressive
- ReservedSpaceCalculator.ReservedSpaceCalculatorConservative
- ReservedSpaceCalculator.ReservedSpaceCalculatorPercentage

## Exceptions

- AddBlockPoolException